2019-03-22 07:04 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002403NetSurf[All Projects] Generalpublic2016-02-16 14:10
ReporterAlexander Rødseth 
Assigned ToVincent Sanders 
SeverityminorReproducibilityalways 
StatusclosedResolutionfixed 
PlatformLinuxOSArch LinuxOS Version64-bit
Product Version3.3 
Target VersionFixed in Version3.4 
Summary0002403: Does not compile with utf8proc 1.3.1
DescriptionHi,

Netsurf 3.3 builds fine on 64-bit Arch Linux with utf8proc 1.1.6.
However, after the upgrade to utf8proc 1.3.1, Netsurf 3.3 no longer builds.

It is mainly utils/idna.c that is problematic.

The first issue is that upstream of utf8proc have now placed the include file as:
/usr/include/utf8proc.h intead of /usr/include/libutf8proc/utf8proc.h

The second issue is that UTF8PROC_CCC_VIRAMA is no longer defined. (It has the value 9 in version 1.1.6 of utf8proc).

Cheers,
    Alexander F Rødseth <xyproto@archlinux.org>
Steps To Reproduce1. Upgrade utf8proc to 1.3.1.
2. Build Netsurf 3.3
Additional InformationThe Netsurf binary compiled with utf8proc 1.1.6 seems to work fine with the utf8proc 1.3.1 library (Netsurf starts up and looks fine).
TagsNo tags attached.
Fixed in CI build #
Reported in CI build #
URL of problem page
Attached Files

-Relationships
+Relationships

-Notes
Alexander Rødseth

~0001129

Alexander Rødseth (reporter)

UTF8proc webpage: http://julialang.org/utf8proc/
Chris Young

~0001132

Chris Young (developer)

You need to use our version of libutf8proc, as it has some changes.
http://git.netsurf-browser.org/libutf8proc.git/
Vincent Sanders

~0001158

Vincent Sanders (administrator)

I have updated the embedded version of libutf8proc that netsurf requires to version 1.3.1.

Currently there are changes made to the libraries API which have not been accepted upstream.

We hope to remedy this before the 3.5 release
Vincent Sanders

~0001242

Vincent Sanders (administrator)

Confirmed fixed in 3.4 release
+Notes

-Issue History
Date Modified Username Field Change
2015-12-20 18:17 Alexander Rødseth New Issue
2015-12-20 18:19 Alexander Rødseth Note Added: 0001129
2016-01-02 01:05 Chris Young Note Added: 0001132
2016-01-02 01:05 Chris Young Status new => feedback
2016-01-22 10:35 Vincent Sanders Note Added: 0001158
2016-01-22 10:35 Vincent Sanders Assigned To => Vincent Sanders
2016-01-22 10:35 Vincent Sanders Status feedback => resolved
2016-01-22 10:35 Vincent Sanders Resolution open => fixed
2016-01-22 10:35 Vincent Sanders Fixed in Version => 3.4
2016-02-16 14:10 Vincent Sanders Note Added: 0001242
2016-02-16 14:10 Vincent Sanders Status resolved => closed
+Issue History